import { BaseProvider } from '#templates/base/provider';
import { NotificationPreference } from '#models/NotificationPreference';

export class NotificationPreferenceProvider extends BaseProvider<NotificationPreference> {
	public static instance: NotificationPreferenceProvider;

	public static getInstance(): NotificationPreferenceProvider {
		NotificationPreferenceProvider.instance ??= new NotificationPreferenceProvider();
		return NotificationPreferenceProvider.instance;
	}

	public static get model() {
		return NotificationPreference;
	}

	constructor() {
		super('NotificationPreference');
	}
}
